Page MenuHomePhabricator

[EPIC]: Use core watchlist code for mobile experience
Closed, ResolvedPublic

Description

Problem

The MobileFrontend extension currently tries to mimic the watchlist in core but fails due to the fact the special watchlist class mixes rendering with model generation. Ideally it should be possible to skin the data by creating this separation.

Recreating the watchlist for mobile is very wasteful.
It causes additional work for other teams (see T159793).

The Watchlist special page also handles various user preferences which are currently overlooked by the mobile version.

Differences between mobile and desktop skinning

Screen Shot 2017-07-06 at 1.20.56 PM.png (619×679 px, 68 KB)

Screen Shot 2017-07-06 at 1.20.17 PM.png (505×1 px, 297 KB)

As you can be seen the positions of elements are extremely different. Touch areas are different. It's impossible to use the same HTML for both designs without a fundamental change to the design.

roll out plan

  • Align the HTML/CSS for mobile and desktop.
  • enable for all logged in users on English Wikipedia
  • Enable on all projects
  • Decommission associated code (will be done in T365769)

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedJdlrobson
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedJdlrobson
ResolvedJdlrobson
Duplicate Jhernandez
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedNone
DeclinedNone
DuplicateNone
DuplicateNone
ResolvedJdlrobson
DuplicateNone
DeclinedNone
DeclinedNone
DeclinedBUG REPORTJdlrobson
DeclinedNone
StalledBUG REPORTNone
OpenBUG REPORTNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson updated the task description. (Show Details)

Change 499864 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove the SpecialMobile(Watchlist|History|Contributions) page and use the core versions

https://gerrit.wikimedia.org/r/499864

Change 499864 abandoned by Jdlrobson:
Remove the SpecialMobile(Watchlist|History|Contributions) page and use the core versions

https://gerrit.wikimedia.org/r/499864

Change 755510 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/extensions/MobileFrontend@master] [Proof of concept] Drop the Mobile special pages

https://gerrit.wikimedia.org/r/755510

Test wiki created on Patch demo by Jdlrobson using patch(es) linked to this task:

https://patchdemo.wmflabs.org/wikis/d6efd56b19/w/

Test wiki on Patch demo by Jdlrobson using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/d6efd56b19/w/

Change 755510 abandoned by Jdlrobson:

[mediawiki/extensions/MobileFrontend@master] [Proof of concept] Drop the Mobile special pages

Reason:

Not actively working on this. Some of this work will be realized in https://phabricator.wikimedia.org/T300185

https://gerrit.wikimedia.org/r/755510

Test wiki on Patch demo by Jdlrobson using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/5b440214c6/w/

Change #1013600 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/MinervaNeue@master] Apply history styles to watchlist

https://gerrit.wikimedia.org/r/1013600

Change #1013600 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] Apply history styles to watchlist

https://gerrit.wikimedia.org/r/1013600

Change #1016022 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Enable desktop watchlist on beta cluster, clean up old references

https://gerrit.wikimedia.org/r/1016022

Change #1016022 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable desktop watchlist on beta cluster, clean up old references

https://gerrit.wikimedia.org/r/1016022

Mentioned in SAL (#wikimedia-operations) [2024-04-15T20:19:20Z] <kindrobot@deploy1002> Started scap: Backport for [[gerrit:1016022|Enable desktop watchlist on beta cluster, clean up old references (T109277)]], [[gerrit:1019857|Enable night mode on template namespace]]

Mentioned in SAL (#wikimedia-operations) [2024-04-15T20:21:56Z] <kindrobot@deploy1002> jdlrobson and kindrobot: Backport for [[gerrit:1016022|Enable desktop watchlist on beta cluster, clean up old references (T109277)]], [[gerrit:1019857|Enable night mode on template namespace]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-04-15T20:36:26Z] <kindrobot@deploy1002> Finished scap: Backport for [[gerrit:1016022|Enable desktop watchlist on beta cluster, clean up old references (T109277)]], [[gerrit:1019857|Enable night mode on template namespace]] (duration: 17m 06s)

Change #1031943 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/MinervaNeue@master] Drop responsive behaviour

https://gerrit.wikimedia.org/r/1031943

Change #1032808 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/MinervaNeue@wmf/1.43.0-wmf.5] Drop responsive behaviour

https://gerrit.wikimedia.org/r/1032808

Change #1032833 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Enable desktop watchlist HTML on mobile

https://gerrit.wikimedia.org/r/1032833

Change #1031943 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] Drop responsive behaviour

https://gerrit.wikimedia.org/r/1031943

Change #1032808 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@wmf/1.43.0-wmf.5] Drop responsive behaviour

https://gerrit.wikimedia.org/r/1032808

Change #1032833 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable desktop watchlist HTML on mobile

https://gerrit.wikimedia.org/r/1032833

Mentioned in SAL (#wikimedia-operations) [2024-05-21T20:33:26Z] <jforrester@deploy1002> Started scap: Backport for [[gerrit:1032808|Drop responsive behaviour (T109277)]], [[gerrit:1034168|Decouple MFUseDesktopSpecialWatchlistPage from EditWatchlist page]], [[gerrit:1032833|Enable desktop watchlist HTML on mobile (T109277)]], [[gerrit:1029506|Don't define wmgUseListings, no longer read]]

Mentioned in SAL (#wikimedia-operations) [2024-05-21T20:36:09Z] <jforrester@deploy1002> jforrester and jdlrobson: Backport for [[gerrit:1032808|Drop responsive behaviour (T109277)]], [[gerrit:1034168|Decouple MFUseDesktopSpecialWatchlistPage from EditWatchlist page]], [[gerrit:1032833|Enable desktop watchlist HTML on mobile (T109277)]], [[gerrit:1029506|Don't define wmgUseListings, no longer read]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Change #1034584 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Always use desktop watchlist HTML on mobile

https://gerrit.wikimedia.org/r/1034584

Mentioned in SAL (#wikimedia-operations) [2024-05-21T20:51:43Z] <jforrester@deploy1002> Finished scap: Backport for [[gerrit:1032808|Drop responsive behaviour (T109277)]], [[gerrit:1034168|Decouple MFUseDesktopSpecialWatchlistPage from EditWatchlist page]], [[gerrit:1032833|Enable desktop watchlist HTML on mobile (T109277)]], [[gerrit:1029506|Don't define wmgUseListings, no longer read]] (duration: 18m 17s)

Change #1034590 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/extensions/MobileFrontend@master] Dismantle Special:Watchlist and associated code

https://gerrit.wikimedia.org/r/1034590

Change #1034584 merged by jenkins-bot:

[operations/mediawiki-config@master] Always use desktop watchlist HTML on mobile

https://gerrit.wikimedia.org/r/1034584

Mentioned in SAL (#wikimedia-operations) [2024-05-23T20:39:32Z] <jsn@deploy1002> Started scap: Backport for [[gerrit:1034584|Always use desktop watchlist HTML on mobile (T109277)]]

Change #1035569 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/extensions/MobileFrontend@master] [Config] Match production configuration

https://gerrit.wikimedia.org/r/1035569

Mentioned in SAL (#wikimedia-operations) [2024-05-23T20:42:03Z] <jsn@deploy1002> jdlrobson and jsn: Backport for [[gerrit:1034584|Always use desktop watchlist HTML on mobile (T109277)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-05-23T20:55:56Z] <jsn@deploy1002> Finished scap: Backport for [[gerrit:1034584|Always use desktop watchlist HTML on mobile (T109277)]] (duration: 16m 23s)

Change #1035569 merged by jenkins-bot:

[mediawiki/extensions/MobileFrontend@master] [Config] Match production configuration

https://gerrit.wikimedia.org/r/1035569

Jdlrobson claimed this task.
Jdlrobson added a subscriber: jsn.sherman.

No pages in Wikimedia production use this code now. Removal of the code will be handled in T365769. Thanks @jsn.sherman for all your support on this one!